cvm-qmail(8)

NAME
cvm-qmail - qmail configuration lookup module

SYNOPSIS
cvm-qmail

CREDENTIALS
None, only operates as a lookup module.

DESCRIPTION
This module uses the standard qmail configuration files to determine if an address is valid, using the same lookups that qmail would. It first checks control/locals and then control/virtualdomains to determine if the domain is valid, and to determine the prefix to add to virtual domain usernames. It then looks up the resulting username in users/cdb (or the system password table if the CDB does not exist) to determine the correct home directory. If the address would require a .qmail-something file, it ensures that that file exists as well, doing -default checks as necessary.

CONFIGURATION VARIABLES

CVM_QMAIL_MISSINGDOMAIN (optional)
    If this is set and the domain name is not a local or virtual qmail domain, this domain name is substituted and the lookup succeeds. This allows for setups where domains listed in control/rcpthosts and control/morercpthosts.cdb (which are accepted by the SMTP receiver) are not listed as local or virtual domains. If this is set to an empty value, "localhost" is substituted.

CVM_QMAIL_MISSINGUSER (optional)
    When missing domain substitution is being done, the value of this variable is used to replace the username. The value must exist as a valid system user. Defaults to "alias" which will normally exist on all qmail systems.

QMAIL_ROOT (optional)
    The root directory under which all the qmail configuration files are expected to be found. Defaults to "/var/qmail", which is the normal qmail install path.

SEE ALSO
cvm-pwfile(8), cvm-unix(8), cvm-sql(8), cvm-vmailmgr(8), cvm-benchclient(8), cvm-checkpassword(8), cvm-testclient(8)
 http://untroubled.org/cvm/cvm.html